Arbor 3: FSM & BT Graph Editor 3.6.4

Public Member Functions | Public Attributes | Properties | List of all members
DataBranchRerouteNode Class Reference

DataBranchのリルートノード。 More...

Inheritance diagram for DataBranchRerouteNode:

## Public Member Functions
| DataBranchRerouteNode (NodeGraph nodeGraph, int nodeID, System.Type type)
| DataBranchRerouteNodeのコンストラクタ More...
Public Member Functions inherited from Node
| Node (NodeGraph nodeGraph, int nodeID)
| Nodeのコンストラクタ More...
virtual bool | IsContainsBehaviour (NodeBehaviour behaviour)
| NodeBehaviourを含んでいるかをチェックする。 More...
virtual bool | IsDeletable ()
| 削除できるかどうかを返す。 More...
virtual string | GetName ()
| ノードの名前を取得 More...
override string | ToString ()
| ノードを文字列に変換（デバッグ用）。 More...

## Public Attributes
RerouteSlot | link = new RerouteSlot()
| リルートスロット More...
Vector2 | direction = Vector2.right
| ラインの方向 More...
Public Attributes inherited from Node
Rect | position
| Arbor Editor上での位置。 More...
bool | showComment
| コメントを表示するかどうか More...
string | nodeComment
| コメント More...

## Properties
DataSlotField | slotField`[get]`
| linkのDataSlotField More...
Properties inherited from Node
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...

## Additional Inherited Members
Protected Member Functions inherited from Node
virtual void | OnGraphChanged ()
| Nodeが所属するNodeGraphが変わった際に呼ばれる。 More...

## Detailed Description

DataBranchのリルートノード。

## Constructor & Destructor Documentation

## ◆ DataBranchRerouteNode()

DataBranchRerouteNode | ( | NodeGraph | nodeGraph,
|  | int | nodeID,
|  | System.Type | type
| ) |  |

DataBranchRerouteNodeのコンストラクタ

Parameters

  nodeGraph | このノードを持つNodeGraph
  nodeID | ノードID
  type | 値の型

DataBranchRerouteNodeの生成はNodeGraph.CreateDataBranchRerouteNode(Vector2,System.Type)を使用してください。

## Member Data Documentation

## ◆ direction

Vector2 direction = Vector2.right

ラインの方向

## ◆ link

RerouteSlot link = new RerouteSlot()

リルートスロット

## Property Documentation

## ◆ slotField

DataSlotField slotField
| get

linkのDataSlotField